<template>
   <div id="app" class="container">
    <div class="page-header">
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title">Atualizar Produto</h3>
      </div>
      <div class="panel-body">
         <b-form id="form" class="form-inline" v-on:submit.prevent="updateProduct">
          <div class="form-group">
            <label for="productName">Nome:</label>
            <input type="text" id="productName" class="form-control" v-model="newProduct.name">
          </div>
          <div class="form-group">
            <label for="productPrice">Preço:</label>
            <input type="text" id="productPrice" class="form-control" v-model="newProduct.price">
          </div>
          <input type="submit" class="btn btn-primary" value="Atualizar">
        </b-form>
      </div>
    </div>
  </div>
</template>

<script>
import toastr from 'toastr'
import { db } from '/home/carolina/Documentos/zrp/repositorios/account-manager/src/config/db';

let productsRef = db.ref('products')

export default {
  components: {
      name: 'EditProduct'
  },
  firebase: {
    products: db.ref('products'),
    productsObj: {
      source: db.ref('products'),
      asObject: true
    }
  },
  data () {
    return {
      newProduct: {}
    }
  },
  created() {
     let product = this.productsObj[this.$route.params.id]
     this.newProduct = {
       name: product.name,
       price: product.price
     }
  },
  methods: {
    updateProduct() {
      productsRef.child(this.$route.params.id).set(this.newProduct);
      this.$router.push('/products')
      toastr.success('Produto atualizado com sucesso')
    }
  }
}
</script>